How to avoid the Visual Studio 2017 errors

Visual Studio has been a bit of a sore point for me recently, and while it has been working fine with the new version of the engine, it does have a few more issues that have me wondering whether I can actually use the latest version of Visual Studio with the latest preview build of the software.

For example, I recently ran into the following error message when trying to use Visual Studio 2016: